Package org.apache.wiki.htmltowiki.syntax

# Class MarkupHelper

java.lang.Object
org.apache.wiki.htmltowiki.syntax.MarkupHelper

public class MarkupHelper extends Object
Wiki syntax helper operations

## Constructor Summary

Constructors
Constructor
Description
`MarkupHelper()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`augmentedWikiLinkMapToString(Map<String,String> attributesMap)`
Converts the entries in the map to a string for use in a wiki link.
`static Map<String,String>`
`getAugmentedWikiLinkAttributes(org.jdom2.Element a)`
Returns a Map containing the valid augmented wiki link attributes.
`static boolean`
`isFootnoteLink(String ref)`
Checks if the link points to a footnote.
`static boolean`
`isHtmlBaseDiv(XHtmlElementToWikiTranslator.ElementDecoratorData dto)`
`static boolean`
`isHtmlBaseSpan(XHtmlElementToWikiTranslator.ElementDecoratorData dto)`
`static boolean`
`isUndefinedPageLink(org.jdom2.Element a)`
Checks if the link points to an undefined page.
`static String`
`nameSansNbf(org.jdom2.Element e)`
`static void`
`printUnescaped(PrintWriter out, String s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MarkupHelper

public MarkupHelper()

## Method Details

### printUnescaped

public static void printUnescaped(PrintWriter out, String s)

### isFootnoteLink

public static boolean isFootnoteLink(String ref)
Checks if the link points to a footnote.

### isUndefinedPageLink

public static boolean isUndefinedPageLink(org.jdom2.Element a)
Checks if the link points to an undefined page.

### isHtmlBaseDiv

public static boolean isHtmlBaseDiv(XHtmlElementToWikiTranslator.ElementDecoratorData dto)

### isHtmlBaseSpan

public static boolean isHtmlBaseSpan(XHtmlElementToWikiTranslator.ElementDecoratorData dto)

### getAugmentedWikiLinkAttributes

public static Map<String,String> getAugmentedWikiLinkAttributes(org.jdom2.Element a)
Returns a Map containing the valid augmented wiki link attributes.

### augmentedWikiLinkMapToString

public static String augmentedWikiLinkMapToString(Map<String,String> attributesMap)
Converts the entries in the map to a string for use in a wiki link.

### nameSansNbf

public static String nameSansNbf(org.jdom2.Element e)